LIBPFM(3)

NAME
libpfm_arm_a64fx - support for Fujitsu A64FX PMU

SYNOPSIS
#include <perfmon/pfmlib.h>

PMU name: arm_a64fx
PMU desc: Fujitsu A64FX

DESCRIPTION
The library supports the Fujitsu A64FX core PMU. This PMU supports 8 counters and privilege levels filtering. It can operate in 64 bit mode only.

MODIFIERS
The following modifiers are supported on Fujitsu A64FX:

u   Measure at the user level. This corresponds to PFM_PLM3. This is a boolean modifier.

k   Measure at the kernel level. This corresponds to PFM_PLM0. This is a boolean modifier.

hv  Measure at the hypervisor level. This corresponds to PFM_PLMH. This is a boolean modifier.

AUTHORS
Stephane Eranian <eranian@gmail.com>